/*
 * Copyright (C) 2004 Pistooli <pistooli@lindowsmail.com>
 */

#include "kvisualboyadvance.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("kvisualboyadvance", I18N_NOOP("KVisualBoyAdvance"), version, description,
                     KAboutData::License_GPL, "(C) 2004 Pistooli", 0, 0, "pistooli@lindowsmail.com");
    about.addAuthor( "Pistooli", 0, "pistooli@lindowsmail.com" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    KVisualBoyAdvance *mainWin = 0;

//    if (app.isRestored())
//    {
//        RESTORE(KVisualBoyAdvance);
//    }
//    else
//    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new KVisualBoyAdvance();
        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
//    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

